## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 17;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

%global debug_package %{nil}

# https://github.com/census-ecosystem/opencensus-go-exporter-ocagent
%global goipath         contrib.go.opencensus.io/exporter/ocagent
%global forgeurl        https://github.com/census-ecosystem/opencensus-go-exporter-ocagent
Version:                0.7.1
%global tag             0.7.1

%gometa

%global common_description %{expand:
This repository contains the Go implementation of the OpenCensus Agent
(OC-Agent) Exporter. OC-Agent is a daemon process running in a VM that can
retrieve spans/stats/metrics from OpenCensus Library, export them to other
backends and possibly push configurations back to Library. See more details
on OC-Agent Readme.

Note: This is an experimental repository and is likely to get
backwards-incompatible changes. Ultimately we may want to move the OC-Agent Go
Exporter to OpenCensus Go core library.}

%global golicenses      LICENSE
%global godocs          example CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        OpenCensus Go exporters for OpenCensus Agent
# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/agent/common/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/agent/metrics/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/agent/trace/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/metrics/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/resource/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/trace/v1)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/timestamp)
BuildRequires:  golang(go.opencensus.io)
BuildRequires:  golang(go.opencensus.io/plugin/ocgrpc)
BuildRequires:  golang(go.opencensus.io/resource)
BuildRequires:  golang(go.opencensus.io/stats)
BuildRequires:  golang(go.opencensus.io/stats/view)
BuildRequires:  golang(go.opencensus.io/tag)
BuildRequires:  golang(go.opencensus.io/trace)
BuildRequires:  golang(go.opencensus.io/trace/tracestate)
BuildRequires:  golang(go.opencensus.io/zpages)
BuildRequires:  golang(google.golang.org/api/support/bundler)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/credentials)
BuildRequires:  golang(google.golang.org/grpc/metadata)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i 's|github.com/census-instrumentation/opencensus-proto|github.com/census-instrumentation/opencensus-proto-0.2|' $(find . -iname "*.go" -type f)

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Mon Jun 17 2024 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.1-17
- Fix FTBFS

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 0.7.1-12
- Rebuild to fix FTBFS

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 0.7.1-11
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.1-9
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 04 23:16:34 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.1-1
- Update to 0.7.1

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 21:21:08 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.0-1
- Update to 0.7.0

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 28 18:24:46 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.0-2
- Update to 0.6.0 (#1742113)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 29 18:47:05 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.0-1
- Release 0.5.0

* Thu Apr 11 23:50:43 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.12-1
- Release 0.4.12 (#1698212)

* Sat Apr 06 19:46:03 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.11-1
- Release 0.4.11 (#1696869)

* Tue Apr 02 17:24:03 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.10-1
- Release 0.4.10 (#1694918)

* Mon Mar 25 20:22:34 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.9-1
- First package for Fedora

## END: Generated by rpmautospec
